# Only the system vendor should modify this file, ordinary users
# should not have to change anything.

[UPower]

# This is the smallest amount of time that UPower gives to session and system
# processes after the suspend or hibernate request is given.
# If the session power management component uses AboutToSuspend() then the
# session process can only make this time larger than the value below, never
# smaller.
#
# Reducing this time means the suspend happens quicker, but might also not give
# some processes enough time to save state.
#
# default=1000
SleepTimeout=1000

# This controls whether hibernate is allowed when using encrypted swap.
#
# default=true
AllowHibernateEncryptedSwap=true

# This controls whether we want the powersave commands to be run when running
# on battery or plugging AC.
#
# default=true
RunPowersaveCommand=true

# Enable the Watts Up Pro device.
#
# The Watts Up Pro contains a generic FTDI USB device without a specific
# vendor and product ID. When we probe for WUP devices, we can cause
# the user to get a perplexing "Device or resource busy" error when
# attempting to use their non-WUP device.
#
# The generic FTDI device is known to also be used on:
#
# - Sparkfun FT232 breakout board
# - Parallax Propeller
#
# default=false
EnableWattsUpPro=false

# Poll the kernel for dock state changes.
#
# Some drivers are still broken, and do not send out uvents when the
# connected state changes.
#
# default=false
PollDockDevices=false

# Do we ignore the lid state
#
# Some laptops are broken. The lid state is either inverted, or stuck
# on or off. We can't do much to fix these problems, but this is a way
# for users to make the laptop panel vanish and for programs like
# gnome-power-manager to not suspend on system startup.
#
# default=false
IgnoreLid=false
